<?php
/**
 * Blocks Initializer
 *
 * Enqueue CSS/JS of all the blocks.
 *
 * @since   0.0.1
 * @package gutentocwp
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


function gutentoc_block_assets() {
	// Styles.
	wp_enqueue_style(
		'gutentocwp-cgb-style-css', // Handle.
		plugins_url( 'dist/blocks.style.build.css', dirname( __FILE__ ) ), // Block style CSS.
		array( 'wp-editor' ), // Dependency to include the CSS after it.
		null // filemtime( plugin_dir_path( __DIR__ ) . 'dist/blocks.style.build.css' ) // Version: File modification time.
	);
} // End function gutentoc_block_assets().
// Hook: Frontend assets.
add_action( 'enqueue_block_assets', 'gutentoc_block_assets' );



function gutentoc_editor_assets() {
	// Scripts.
	wp_enqueue_script(
		'gutentocwp-cgb-block-js', // Handle.
		plugins_url( '/dist/blocks.build.js', dirname( __FILE__ ) ), // Block.build.js: We register the block here. Built with Webpack.
		array( 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor' ), // Dependencies, defined above.
		null, // filemtime( plugin_dir_path( __DIR__ ) . 'dist/blocks.build.js' ), // Version: filemtime — Gets file modification time.
		true // Enqueue the script in the footer.
	);
	// Styles.
	wp_enqueue_style(
		'gutentocwp-cgb-block-editor-css', // Handle.
		plugins_url( 'dist/blocks.editor.build.css', dirname( __FILE__ ) ), // Block editor CSS.
		array( 'wp-edit-blocks' ), // Dependency to include the CSS after it.
		null // filemtime( plugin_dir_path( __DIR__ ) . 'dist/blocks.editor.build.css' ) // Version: File modification time.
	);
} // End function gutentoc_editor_assets().
// Hook: Editor assets.
add_action( 'enqueue_block_editor_assets', 'gutentoc_editor_assets' );


/**
 * Admin menu.
 */

add_action('admin_menu', 'wpdocs_register_my_custom_submenu_page');
 
function wpdocs_register_my_custom_submenu_page() {
    add_submenu_page(
        'options-general.php',
        'GutenTOC',
        'GutenTOC',
        'manage_options',
        'gutentoc',
        'gutentoc_admin_menu' );
}
 
function gutentoc_admin_menu() {
   ?>
   <div class='gutentoc__wrap'><div class="admin-title">
       <div class="wellcome_title">
           <h1>GutenTOC user Guide</h1>
           <div class="wellcome_btn">
               <ul>
                   <!-- <li class="demo"><a target="_blank" href="http://tauhidpro.com/gutentoc/#wp">Demos</a></li> -->
               </ul>
           </div>
       </div>

       <h2>How to Create Table of Content ?</h2>
       <p><strong>Go to  Gutenberg post or page editor -> Add Block -> find it under "Common blocks" category.</strong></p>
       <img src="http://tauhidpro.com/plugins/toc/toc-how.png" alt="">
   </div>
       
   </div>
<?php
}

 